#include <GL\glut.h>
#include "glaux.h"

class ImageClass
{

protected:
	int PosX, PosY;
	float zoomH, zoomV;
	
public:
	AUX_RGBImageRec *Image;
	double Tamanho;
	ImageClass(void);
	ImageClass(int sizeX, int sizeY);
	
	int Load(char *);
	void Display(void);
	void Delete(void);
	void DrawPixel(int x, int y, unsigned char r, unsigned char g, unsigned char b);
	void DrawLineH(int y, int x1, int x2, unsigned char r, unsigned char g, unsigned char b);
	void DrawLineV(int x, int y1, int y2,unsigned char r, unsigned char g, unsigned char b );
	void ReadPixel(GLint x, GLint y, unsigned char &r, unsigned char &g, unsigned char &b);
	int GetPointIntensity(int x, int y);
	int SizeX() { return Image->sizeX; };
	int SizeY() { return Image->sizeY; };
	float GetZoomH() { return zoomH; };
	float GetZoomV() { return zoomV; };
	void SetZoomH(float H) { zoomH = H; };
	void SetZoomV(float V) { zoomV = V; };
	void CopyTo(ImageClass *i);
	void Clear();
	
	unsigned char *GetImagePtr();
	void SetSize(int sizeX, int sizeY);
	
	void SetPos(int X, int Y);
};
